%define upstream_name    XML-Grammar-Fortune
%define upstream_version 0.1000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Convert the FortunesXML grammar to plaintext
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(Text::Format)
BuildRequires: perl(XML::GrammarBase::Role::RelaxNG)
BuildRequires: perl(XML::GrammarBase::Role::XSLT)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Sep 02 2024 tv <tv> 0.100.0-1.mga10
+ Revision: 2092740
- update to 0.1000

* Mon Sep 05 2022 tv <tv> 0.90.0-1.mga9
+ Revision: 1884083
- update to 0.0900
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 tv <tv> 0.80.200-1.mga8
+ Revision: 1637473
- update to 0.0802

* Wed Apr 29 2020 tv <tv> 0.80.100-1.mga8
+ Revision: 1573082
- update to 0.0801

* Mon Feb 17 2020 umeabot <umeabot> 0.80.0-2.mga8
+ Revision: 1537320
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 shlomif <shlomif> 0.80.0-1.mga8
+ Revision: 1456601
- New version 0.0800

* Sun Aug 25 2019 tv <tv> 0.70.200-1.mga8
+ Revision: 1432110
- update to 0.0702

* Thu Sep 20 2018 umeabot <umeabot> 0.70.100-2.mga7
+ Revision: 1287307
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.70.100-1.mga7
+ Revision: 1226492
- update to 0.0701

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1036020
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 965851
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 838605
- update to 0.0600

* Wed Oct 15 2014 umeabot <umeabot> 0.51.200-4.mga5
+ Revision: 742885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.51.200-3.mga5
+ Revision: 686927
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.51.200-2.mga4
+ Revision: 525094
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.51.200-1.mga4
+ Revision: 432263
- Add BRs
- Add BRs
- New version 0.0512

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-3.mga3
+ Revision: 375048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.50.0-2.mga3
+ Revision: 252357
- Change the license
- imported package perl-XML-Grammar-Fortune

